> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raven.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Device

> Update Device for a User

### Parameters

<Param path="device_id" type="string" required>
  The device identifier
</Param>

<Param path="app_id" type="string" required>
  Your AppId
</Param>

<Param path="user_id" type="string" required>
  Your user identifier
</Param>

### Body

<Param body="fcm_token" type="string" />

<Param body="platform" type="android | web | ios">
  One of either `android`, `web`, or `ios`
</Param>

<RequestExample>
  ```json Request Example theme={null}
  POST /v1/apps/{{app_id}}/users/{{user_id}}/devices/{{device_id}} HTTP/1.1
  Host: https://api.ravenapp.dev
  Authorization: AuthKey {{secret_key}}
  Content-Type: application/json

  {
      "fcm_token" : "qweKu7bdTZumJpzxUqqpxe:APA91bE9FSScPK_kENPpBAj0URYDo4z0tE6aOrBtpgaA1I1OC7GBes1lR71EWRhavLGMzDMKPPLkUoqtvPHzCgq-8ObU4AOJjbPdpkyRWqc8mqrUV2EkvsziLZvFccwtyI7-lQQhSJDe"
      "platform" : "android"
  }
  ```
</RequestExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.